<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 */


declare(strict_types=1);

namespace Ozenie\Helper;

use Configuration;
use Tools;

class Data
{
    public const RETURN_CODE = [
        '0000' => 'OK',
        '0001' => 'Erreur - Le compte Ozénie',
        '0002' => 'Erreur - Adresse email non renseigné ou incorrect',
        '0003' => 'Erreur - Mot de passe non renseigné ou incorrect',
        '0004' => 'Erreur - Création du compte Ozénie',
        '0005' => 'Erreur - liée à la base de données',
        '0006' => 'Erreur - Identifiant EOLE non renseigné ou incorrect',
        '0007' => 'Erreur Interne',
        '0008' => 'Erreur JSON',
        '0009' => 'Erreur - Connexion au compte Ozénie',
        '0010' => 'Erreur - Utilisateur non connecté',
        '0011' => 'Erreur - Compte non à jour',
        '0012' => 'Erreur - Identifiant Client non renseigné ou incorrect',
        '0013' => 'Erreur - Modification de client ou d’article',
        '0014' => 'Erreur - Identifiant Article non renseigné ou incorrect',
        '0015' => 'Erreur - Autorisation d’ajout non renseigné ou incorrect',
        '0016' => 'Erreur - Envoi de mail non renseigné ou incorrect',
        '0017' => 'Erreur - Client inexistant',
        '0018' => 'Erreur - Article inexistant',
        '0019' => 'Erreur - Type non renseigné ou incorrect',
        '0020' => 'Erreur - Image non renseigné ou incorrect',
        '0021' => 'Erreur - id d’image non renseigné ou incorrect',
        '0022' => 'Erreur - Récupération d’image',
        '0023' => 'Erreur - Le corps du mail n’a pas été renseigné alors que l’envoi de mail a été autorisé.',
        '0024' => 'Erreur - Taux de TVA non renseigné',
        '0025' => 'Erreur - Taux de TVA inexistant',
    ];

    /** @var int if customer is a professional */
    public const TYPE_PROFESSIONAL = 1;

    /** @var int if customer is an association */
    public const TYPE_ASSOCIATION = 2;

    /** @var int if customer is a particulier */
    public const TYPE_PARTICULIER = 3;

    public const CUSTOMER_TYPE = [
        'professional' => self::TYPE_PROFESSIONAL,
        'association' => self::TYPE_ASSOCIATION,
        'particulier' => self::TYPE_PARTICULIER
    ];

    public static function addSpaceInString(string $subject): string
    {
        $str = str_replace(' ', '__space__', trim($subject));
        return str_replace('__space__', ' ', $str);
    }

}
